/****************************************************************************
*                         SciTech Display Doctor
*               Copyright (C) 1991-2001 SciTech Software, Inc.
*                            All rights reserved.
*
* Description:  This REXX script allows you to replace the Screen pages in
*               the System object with the SDD version, or vice versa.
*
*               Use the parameter 'R' to remove, default is to install
*
****************************************************************************/

/******************************************
* language-specific strings defined here
*******************************************/

  MRI_RESTORE_PAGE              = "Alte Seite wird wiederhergestellt."
  MRI_REPLACE_PAGE              = "Seite wird ersetzt."
  MRI_REGISTERED_CLASS          = "Neue Klasse wurde registriert."
  MRI_REMOVE_OLD_CLASS          = "Alte Klassenregistrierung wurde entfernt."
  MRI_INSTALLED_CLASS           = "Neue Anzeigeseiten wurden installiert."
  MRI_NOPMI_WARNING             = "Achtung! SDDPMI.CFG wurde nicht gefunden, Bildwiederholfrequenzen werden nicht funktionieren."
  MRI_CLASSREP_FAIL             = "Ersetzen der Klasse ist fehlgeschlagen!"
  MRI_REGISTER_FAIL             = "Registrieren einer Klasse ist fehlgeschlagen!"
  MRI_MUST_REBOOT               = "Sie mssen einen Warmstart ausfhren, damit die nderungen aktiviert werden."

/******************************************/

if RxFuncQuery('SysLoadFuncs') then do
  call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
  call SysLoadFuncs
end

if RxFuncQuery('rxRepClass') then do
  call RxFuncAdd 'rxRepClass','RXREPCLS','rxRepClass'
end

parse upper arg args
parse upper value VALUE( "PATH",, "OS2ENVIRONMENT" ) with "\OS2\SYSTEM" -2 boot_drive +2
parse source dir;
parse var dir x1 x2 dir;
dir = filespec("D", dir)||filespec("P", dir);
if (right(dir, 1) = "\") then dir = left(dir, length(dir)-1);
"@echo off"
say

if (args == "R") then do
    say MRI_RESTORE_PAGE
    "if exist" boot_drive||"\OS2\SDDCFG.SAV ren" boot_drive||"\OS2\SDDCFG.SAV SDDPMI.CFG"
    "if not exist" boot_drive||"\OS2\SDDPMI.CFG echo "||MRI_NOPMI_WARNING
    if (rxRepClass("WPSystem", "WPVideoSystem", 0) = 0) then Say MRI_CLASSREP_FAIL;
    else if (SysDeRegisterObjectClass("WPVideoSystem")) then Say MRI_REMOVE_OLD_CLASS;
    say
    say MRI_MUST_REBOOT
end
else do
    say MRI_REPLACE_PAGE
    "if exist" boot_drive||"\OS2\SDDPMI.CFG ren" boot_drive||"\OS2\SDDPMI.CFG SDDCFG.SAV 2> nul"
    "if exist" boot_drive||"\OS2\SDDPMI.CFG del" boot_drive||"\OS2\SDDPMI.CFG"
    pszDLLFile = boot_drive||"\OS2\DLL\SDDVCFG.DLL"
    if (SysDeRegisterObjectClass("WPVideoSystem")) then Say MRI_REMOVE_OLD_CLASS;
    if (SysRegisterObjectClass("WPVideoSystem", pszDLLFile)) then Say MRI_REGISTERED_CLASS; else Say MRI_REGISTER_FAIL;
    if (rxRepClass("WPSystem", "WPVideoSystem", 1) = 0) then Say MRI_CLASSREP_FAIL; else Say MRI_INSTALLED_CLASS;
    say
    say MRI_MUST_REBOOT
end;
